Name:           quvi
Version:        0.2.19 
Release:        1%{?dist}
Summary:        Command line tool for parsing video download links

Group:          Applications/Internet
License:        LGPLv2+
URL:            http://quvi.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libcurl-devel pcre-devel lua-devel NaturalDocs

%description
quvi is a command line tool for parsing video download links.
It supports Youtube and other similar video websites.
libquvi is a library for parsing video download links with C API.
It is written in C and intended to be a cross-platform library.


%package devel
Summary: Files needed for building applications with libquvi
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files needed for building applications with libquvi


%prep
%setup -q

%build
%configure --enable-static=no --enable-nsfw
# To remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}
make doc

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f ${RPM_BUILD_ROOT}%{_libdir}/lib%{name}.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README 
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/%{name}.1.*
%{_datadir}/%{name}/

%files devel
%defattr(-,root,root,-)
%doc examples/simple.c doc/%{name}-%{version}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_includedir}/%{name}/


%changelog
* Mon Aug 15 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.19-1
- Update to 0.2.19
* Mon Jul 25 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.18-1
- Update to 0.2.18
* Fri Jun 24 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.17-1
- Update to 0.2.17
* Sun May 22 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.16-1
- Update to 0.2.16
- enable-smut option changed to enable-nsfw
* Sat Apr 23 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.15-1
- Update to 0.2.15
* Sun Mar 13 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.14-1
- Update to 0.2.14
* Thu Feb 17 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.13-1
- Update to 0.2.13
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
* Sun Jan 23 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.12-1
- Update to 0.2.12
- Licence changed to LGPLv2+
* Tue Dec 14 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.10-1
- Update to 0.2.10
* Sun Nov 14 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.8-1
- Update to 0.2.8
* Thu Oct 28 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.7-1
- Update to 0.2.7
* Tue Oct 12 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.6-1
- Update to 0.2.6
* Sat Oct  2 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.5-1
- Update to 0.2.5
* Fri Sep 10 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.4-1
- Update to 0.2.4
* Sun Sep  5 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.3-1
- Update to 0.2.3
* Wed Aug 25 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.2-1
- Update to 0.2.2
* Fri May  7 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.0-1
- Update to 0.2.0
* Mon Apr  5 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.4-1
- Update to 0.1.4
* Fri Apr  2 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.3-3
- Removed redundant option for post and postun
- Append slashes to directories in files section
- Add blanks lines between changelog revisions
* Thu Apr  1 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.3-2
- License fix
- Merged libquvi and quvi packages
* Tue Mar 30 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.3-1
- Initial build
